## wtforms-components 0.11.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/WTForms-Components.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/WTForms-Components.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/WTForms-Components"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/WTForms-Components"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## wtforms-components 0.10.5

=== debian/changelog ===
wtforms-components (0.10.5-4) unstable; urgency=medium

  * [401a1ce] add python3-email-validator as a build/test dep
    (Closes: #1026712)

 -- Joseph Nahmias <jello@debian.org>  Tue, 20 Dec 2022 16:20:08 -0500

wtforms-components (0.10.5-3) unstable; urgency=medium

  * no changes
  * source-only upload to enable transition to bookworm.

 -- Joseph Nahmias <jello@debian.org>  Sat, 13 Aug 2022 20:51:16 -0400

wtforms-components (0.10.5-2) unstable; urgency=medium

  * [e0953cf] add missing copyright details
  * [b1819cb] run upstream tests as autopkgtest

 -- Joseph Nahmias <jello@debian.org>  Thu, 11 Aug 2022 22:12:26 -0400

wtforms-components (0.10.5-1) unstable; urgency=medium

  * Initial release (Closes: #1016504)

 -- Joseph Nahmias <jello@debian.org>  Tue, 02 Aug 2022 20:16:38 -0400

=== debian/control ===
Source: wtforms-components
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Joseph Nahmias <jello@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 dh-python,
 python3-setuptools,
 python3-all,
 python3-colour <!nocheck>,
 python3-email-validator <!nocheck>,
 python3-flexmock <!nocheck>,
 python3-intervals <!nocheck>,
 python3-pytest <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-validators <!nocheck>,
 python3-wtforms-test <!nocheck>,
Standards-Version: 4.6.1
Homepage: https://github.com/kvesteri/wtforms-components
Vcs-Browser: https://salsa.debian.org/python-team/packages/wtforms-components
Vcs-Git: https://salsa.debian.org/python-team/packages/wtforms-components.git
Rules-Requires-Root: no

Package: python3-wtforms-components
Architecture: all
Depends: ${python3:Depends}, ${sphinxdoc:Depends}, ${misc:Depends}
Description: additional fields, validators and widgets for WTForms
 WTForms-Components provides enhanced versions of some WTForms HTML5
 fields and some additional new fields and validatiors.
 These enhancements include:
 .
  * DateTimeField
  * IntegerField
  * SelectField
  * SelectMultipleField
  * ColorField
  * NumberRangeField
  * PassiveHiddenField
  * Read-only fields
  * DateRange validator
  * Email validator
  * If validator
  * Unique Validator

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export PYBUILD_NAME=wtforms-components

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

=== debian/tests/control ===
Tests: upstream
Depends:
 python3-all,
 python3-colour,
 python3-email-validator,
 python3-flexmock,
 python3-pytest,
 python3-wtforms-components,
 python3-wtforms-test,

## wtforms-components 0.11.0

=== debian/changelog ===
wtforms-components (0.11.0-2) unstable; urgency=medium

  * Team upload.
  * Fix warnings in Sphinx build (closes: #1090177).

 -- Colin Watson <cjwatson@debian.org>  Tue, 17 Dec 2024 14:37:00 +0000

wtforms-components (0.11.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 0.11.0 (Closes: #1086326)
  * Remove python3-email-validator & python3-six dependencies

 -- Alexandre Detiste <tchet@debian.org>  Mon, 18 Nov 2024 13:52:40 +0100

wtforms-components (0.10.5-5) unstable; urgency=medium

  * Team Upload
  * Add build-dep on python3-six (Closes: #1073398)
  * Add gbp.conf that document current practice on Salsa

 -- Alexandre Detiste <tchet@debian.org>  Mon, 01 Jul 2024 15:17:13 +0200

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,9 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
- dh-python,
  python3-setuptools,
  python3-all,
  python3-colour <!nocheck>,
- python3-email-validator <!nocheck>,
  python3-flexmock <!nocheck>,
  python3-intervals <!nocheck>,
  python3-pytest <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export PYBUILD_NAME=wtforms-components
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build: export http_proxy=127.0.0.1:9
 override_dh_auto_build: export https_proxy=127.0.0.1:9

=== debian/watch ===
# See uscan(1) for format
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%wtforms-components-$1.tar.gz%" \
   https://github.com/kvesteri/wtforms-components/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
